Skip to main content
GET
/
api
/
svc
/
v1
/
mcp
/
{mcpServerId}
/
code-snippets
Get MCP server code snippets
curl --request GET \
  --url https://{controlPlaneURL}/api/svc/v1/mcp/{mcpServerId}/code-snippets \
  --header 'Authorization: Bearer <token>'
{
  "snippets": [
    {
      "code": "<string>",
      "language": "<string>",
      "icon": "<string>",
      "labelName": "<string>",
      "ctaConfig": {
        "type": "<string>",
        "endpoint": "<string>",
        "text": "<string>",
        "icon": "<string>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

mcpServerId
string
required

MCP server id (the id returned by GET /v1/mcp, not the name).

Example:

"mcp-01HXYZ..."

Query Parameters

gatewayBaseURL
string
required

Base URL of the MCP gateway. Substitutes {{mcpProxyBaseURL}} for the proxied MCP server URL in the snippets.

Response

200 - application/json

Generated code snippets in different languages and formats.

snippets
CodeSnippetIntegrationDetailsV2 · object[]
required